#ifndef __GCIRCLE__
#define __GCIRCLE__

#include "GObject.h"
#include "Complex.h"
#include "resource.h"

class GIncident;

class GCircle :
	public GObject
{
public:

	GCircle(CComplex x,CComplex y,CComplex z);
	GCircle(void);
	GCircle(double x1, double y1, double radius);
	GCircle(const GCircle& p);
	~GCircle(void);
	CComplex xx,yy,rr;
	bool used;
	GCircle* next;
	bool clipping;
	GIncident *ics;
	GIncident **last_ic;
	int NOics;
	int lndsn;

	bool SetCircle(double x1, double y1, double rr);
	int NumOfCc(void);
	bool realp(double* rx,double* ry,double* rr);
	void ClearHilight(void){
		hilighted=false;
		if(next!=NULL){
			next->ClearHilight();
		}
	};
};
#endif
