//
//resource.h
//

#define IDB_BALL1                       500
#define IDB_BALL1MASK                   501
#define IDB_BALL1R                      502
#define IDB_BALL1RMASK                  503
#define IDB_CAT1                        504
#define IDB_CAT1MASK                    505
#define IDB_CAT1R                       506
#define IDB_CAT1RMASK                   507
#define IDB_STAR1                       508
#define IDB_STAR1MASK                   509
#define IDB_STAR1R                      510
#define IDB_STAR1RMASK                  511
#define IDB_SKELE                       512
#define IDB_SKELEMASK                   513
#define IDB_SKELER                      514
#define IDB_SKELERMASK                  515

#define TIMER_ID                        600
#define TIMER_CLONE                     601

#define ID_TOOLBAR                      700
#define ID_EDIT_SOURCE                  701
#define ID_MODE_TANGENT                 702
#define ID_MODE_CIRCLE_BY_3             703

#define MODE_MOVE                       1000
#define MODE_SINGLE_ADD                 1001
#define MODE_MULTI_LINE                 1002
#define MODE_PARALLEL                   1003
#define MODE_PERP                       1004
#define MODE_MID                        1005
#define MODE_MULTI_CIRCLE               1006
#define MODE_BISECTOR                   1007
#define MODE_MEET                       1008
#define MODE_CLIPPING                   1009
#define MODE_AXIS                       1010
#define MODE_GRAPH                      1011
#define MODE_TANGENT                    1012
#define MODE_TEXT                       1013
#define MODE_COMPASS                    1014
#define MODE_ORBIT                      1015
#define MODE_CIRCLE_BY_3                1016
#define MODE_INVISIBLE                  1017
#define MODE_ZOOMIN                     1018
#define MODE_ZOOMOUT                     1019

#define MODE_SELECT                     1100

#define MODE_CINDY                      1500
#define MODE_KSEG                       1501
#define MODE_SLIDESHOW					1502
#define MODE_PANEL                      1503

#define CONST_FREE                      2000
#define CONST_ON_LINE                   2001
#define CONST_JOIN                      2002
#define CONST_MEET                      2003
#define CONST_PARALLEL                  2004
#define CONST_PERP                      2005
#define CONST_MID                       2006
#define CONST_PT_ON_PARA                2007
#define CONST_PT_ON_PERP                2008
#define CONST_MULTI_CIRCLE              2009
#define CONST_PT_ON_CIRCLE              2010
#define CONST_MEET_CL                   2011
#define CONST_BISECTOR                  2012
#define CONST_3P_BISECTOR               2013
#define CONST_CLIPPING                  2014
#define CONST_GRAPH                     2015
#define CONST_PT_ON_CURVE               2016
#define CONST_TANGENT                   2017
#define CONST_TEXT                      2018
#define CONST_COMPASS                   2019
#define CONST_MEET_CC                   2020
#define CONST_ORBIT1                    2021
#define CONST_ORBIT2                    2022
#define CONST_ORTHOCENTER               2023
#define CONST_PT_ON_3P_BISECTOR         2024
#define CONST_PT_ON_BISECTOR            2025
#define CONST_PT_ON_TANGENT             2026
#define CONST_CURVE_TANGENT             2027
#define CONST_ZOOMIN                    2028
#define CONST_ZOOMOUT                   2029
#define CONST_INVISIBLE                 2030
#define CONST_PARA_CURVE                2031
#define CONST_PT_ON_CURVE_TANGENT       2032

#define CONST_EFFECT_POINT              2100
#define CONST_EFFECT_LINE               2101
#define CONST_EFFECT_CIRCLE             2102
#define CONST_EFFECT_CURVE              2103
#define CONST_EFFECT_TEXT               2104

#define PT_STANDARD                     3000
#define PT_CAT                          3001
#define PT_STAR                         3002
#define PT_RAILROAD                     3003
#define PT_KSEG                         3004
#define PT_CINDY                        3005
#define PT_PASTEL                       3006
#define PT_SKELETON                     3007

#define PT_1	                        3100
#define PT_2	                        3101
#define PT_3	                        3102
#define PT_4	                        3103
#define PT_5	                        3104

#define LN_STANDARD                     4000
#define LN_CAT                          4001
#define LN_STAR                         4002
#define LN_RAILROAD                     4003
#define LN_KSEG                         4004
#define LN_CINDY                        4005
#define LN_PASTEL                       4006
#define LN_SKELETON                     4007

#define LN_1	                        4100
#define LN_2	                        4101
#define LN_3	                        4102
#define LN_4	                        4103
#define LN_5	                        4104

#define BG_STANDARD                     5000
#define BG_CAT                          5001
#define BG_STAR                         5002
#define BG_RAILROAD                     5003
#define BG_KSEG                         5004
#define BG_CINDY                        5005
#define BG_PASTEL                       5006
#define BG_SKELETON                     5007

#define BG_1	                        5100
#define BG_2	                        5101
#define BG_3	                        5102

#define THM_STANDARD                    6000 
#define THM_CAT                         6001 
#define THM_STAR                        6002 
#define THM_RAILROAD                    6003
#define THM_KSEG                        6004
#define THM_CINDY                       6005 
#define THM_PASTEL                      6006 
#define THM_SKELETON                    6007

#define ID_APPEAR_THEME                 7000
#define ID_APPEAR_POINT                 7001
#define ID_APPEAR_LINE                  7002
#define ID_APPEAR_BG                    7003


#define CALC_SUM                        8000
#define CALC_CONST                      8001
#define CALC_PROD                       8002
#define CALC_DIV                        8003
#define CALC_POWER                      8004
#define CALC_SIN                        8005
#define CALC_COS                        8006 
#define CALC_TAN                        8007
#define CALC_EXP                        8008
#define CALC_LOG                        8009
#define CALC_VAR                        8010

#define GRAPH_TXT1                      8050
#define GRAPH_TXTMIN                    8051
#define GRAPH_TXTMAX                    8052
#define GRAPH_RB1                       8050
#define GRAPH_RB2                       8050
#define GRAPH_RB3                       8050

#define OUTPUT_POINT                    9000
#define OUTPUT_LINE                     9001
#define OUTPUT_CIRCLE                   9002
#define OUTPUT_TEXT                     9003
#define OUTPUT_CURVE                    9004
#define OUTPUT_EFFECT                   9005

#define ID_FILE_NEW                     57608
#define ID_FILE_OPEN                    57609
#define ID_FILE_SAVE                    57610
#define ID_FILE_SAVE_AS                 57611
#define ID_FILE_PRINT                   57612
#define ID_FILE_PAGE_SETUP              57613
#define ID_FILE_PREVIEW                 57614
#define ID_FILE_QUIT                    57615
#define ID_FILE_EDIT_NEXT               57616
#define ID_FILE_EDIT_PREV               57617
#define ID_FILE_EDIT_APPLY              57618
#define ID_SLIDESHOW_PROPERTY           57619  
#define ID_NEXT_SHEET                   57620
#define ID_PREV_SHEET                   57621 
#define ID_INSERT_NEW                   57622
#define ID_INSERT_COPY_FIGURE           57623
#define ID_INSERT_COPY_ALL              57624
#define ID_DELETE_SHEET                 57625
#define ID_FILE_EDIT_NEW                57626
#define ID_FILE_BENCHMARK               57627
#define ID_FILE_PRINT_PS                57627
#define ID_FILE_PAGE_SETUP_PS           57628
#define ID_FILE_PREVIEW_PS              57629
#define ID_SLIDESHOW_START              57630
#define ID_FILE_SAVE_CSV                57631
#define ID_FILE_SAVE_BMP                57632

#define ID_APP_ABOUT                    57666
#define ID_APP_EXIT                     57667

#define ID_EDIT_CLEAR                   57672
#define ID_EDIT_CLEAR_ALL               57673
#define ID_EDIT_COPY                    57674
#define ID_EDIT_CUT                     57675
#define ID_EDIT_FIND                    57676
#define ID_EDIT_PASTE                   57677
#define ID_EDIT_REPEAT                  57678
#define ID_EDIT_REPLACE                 57679
#define ID_EDIT_DEL                     57680
#define ID_EDIT_TEXT                    57681
#define ID_NEXT_PANE                    57682
#define ID_PREV_PANE                    57683
#define ID_EDIT_SELECT_ALL              57684
#define ID_EDIT_UNDO                    57685
#define ID_EDIT_REDO                    57686
#define ID_CLONE_ON                     57687

#define ID_VIEW_TOOLBAR2                59394
#define ID_VIEW_STATUS_BAR2             59395
